Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque
Class TorqueInstanceTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.BaseTestCase
                  org.apache.torque.TorqueInstanceTest

All Implemented Interfaces:
  junit.framework.Test

    public class TorqueInstanceTest

extends BaseTestCase

Tests the TorqueInstance Class.

Version:
  $Id: TorqueInstanceTest.java 1355228 2012-06-29 03:38:08Z tfischer $
Author:
  Thomas Fischer

Field Summary

Fields inherited from class org.apache.torque.BaseTestCase
`CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, tableMap`

Constructor Summary
`TorqueInstanceTest()`

Method Summary
`void` | `testDatabases()` Tests whether the databaseInfo objects are filled correctly.
`void` | `testDefaultDataSourceFactory()` Checks whether a DataSourceFactory with the name `DEFAULT_NAME` is defined.
`void` | `testExternalAdapter()` Tests whether an external adapter is loaded correctly.
`void` | `testSchemata()` Tests whether the schema information in the databases is filled correctly.
`void` | `testShutdown()`

Methods inherited from class org.apache.torque.BaseTestCase
`setUp`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TorqueInstanceTest

    public TorqueInstanceTest()

Method Detail

### testExternalAdapter

    public void testExternalAdapter()
                             throws Exception

  Tests whether an external adapter is loaded correctly.

  Throws:
    `Exception` - if an error occurs during the Test.

### testDefaultDataSourceFactory

    public void testDefaultDataSourceFactory()
                                      throws Exception

  Checks whether a DataSourceFactory with the name `DEFAULT_NAME` is defined. (TRQS 322)

  Throws:
    `Exception` - if an error occurs during the Test.

### testDatabases

    public void testDatabases()
                       throws Exception

  Tests whether the databaseInfo objects are filled correctly.

  Throws:
    `Exception` - if an error occurs during the Test.

### testSchemata

    public void testSchemata()
                      throws Exception

  Tests whether the schema information in the databases is filled correctly.

  Throws:
    `Exception`

### testShutdown

    public void testShutdown()
                      throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.